Bug 598789 - [abrt] crash in policycoreutils-python-2.0.82-18.fc13: sandbox:87:copyfile:IndexError: list index out of range
Summary: [abrt] crash in policycoreutils-python-2.0.82-18.fc13: sandbox:87:copyfile:In...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c1453f56
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 03:30 UTC by cyrushmh
Modified: 2011-02-18 21:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 21:16:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.19 KB, text/plain)
2010-06-02 03:30 UTC, cyrushmh
no flags Details

Description cyrushmh 2010-06-02 03:30:25 UTC
abrt 1.1.0 detected a crash.

architecture: i686
cmdline: /usr/bin/python -E /usr/bin/sandbox -X -W metacity -i /bin -i /dev -i /etc -i /etc/alsa -i /etc/fonts -i /etc/miredo -i /etc/opt -i /home/CyrusHMH/.bash_profile -i /home/CyrusHMH/.bashrc -i /home/CyrusHMH/.config -i /home/CyrusHMH/.dmrc -i /home/CyrusHMH/.ems.cfg -i /home/CyrusHMH/.gconfd -i /home/CyrusHMH/.gnupg -i /home/CyrusHMH/.gtk-bookmarks -i /home/CyrusHMH/.gvfs -i /home/CyrusHMH/.jap.conf -i /home/CyrusHMH/.local -i /home/CyrusHMH/.mission-control -i /home/CyrusHMH/.mozilla -i /home/CyrusHMH/.opera -i /home/CyrusHMH/.pki -i /home/CyrusHMH/.vidalia -i /lib -i /opt -i /proc -i /sbin -i /selinux -i /srv -i /sys -i /usr -i /usr/lib -i /usr/bin -i /usr/share -i /usr/include -i /usr/src/kernels -i /usr/sbin -i /usr/share/fonts -i /usr/kerberos -i /usr/libexec -i /usr/lib/flash-plugin -i /usr/lib/jvm -i /usr/lib/mozilla -i /usr/lib/codecs -i /usr/lib/win32 -t sandbox_net_t gnome-terminal
component: policycoreutils
executable: /usr/bin/sandbox
kernel: 2.6.33.5-112.fc13.i686.PAE
package: policycoreutils-python-2.0.82-18.fc13
reason: sandbox:87:copyfile:IndexError: list index out of range
release: Fedora release 13 (Goddard)

backtrace
-----
sandbox:87:copyfile:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/bin/sandbox", line 409, in <module>
    rc = sandbox.main()
  File "/usr/bin/sandbox", line 396, in main
    self.__setup_dir()
  File "/usr/bin/sandbox", line 354, in __setup_dir
    self.__copyfiles()
  File "/usr/bin/sandbox", line 204, in __copyfiles
    copyfile(f, homedir, self.__homedir)
  File "/usr/bin/sandbox", line 87, in copyfile
    print e[1]
IndexError: list index out of range

Local variables in innermost frame:
e: [('/home/CyrusHMH/.config/google-chrome/SingletonSocket', '/home/CyrusHMH/.sandbox/.sandboxCQpm4x/.config/google-chrome/SingletonSocket', "[Errno 6] No such device or address: '/home/CyrusHMH/.config/google-chrome/SingletonSocket'")]
re: <module 're' from '/usr/lib/python2.6/re.pyc'>
elist: Error([('/home/CyrusHMH/.config/google-chrome/SingletonSocket', '/home/CyrusHMH/.sandbox/.sandboxCQpm4x/.config/google-chrome/SingletonSocket', "[Errno 6] No such device or address: '/home/CyrusHMH/.config/google-chrome/SingletonSocket'")],)
dest: '/home/CyrusHMH/.sandbox/.sandboxCQpm4x/.config'
dname: '/home/CyrusHMH'
bname: '.config'
file: '/home/CyrusHMH/.config'
dir: '/home/CyrusHMH'

Comment 1 cyrushmh 2010-06-02 03:30:37 UTC
Created attachment 418888 [details]
File: backtrace

Comment 2 Daniel Walsh 2010-06-02 12:38:36 UTC
What sandbox command did you use to get this to happen?

Comment 3 cyrushmh 2010-06-03 05:48:29 UTC
(In reply to comment #2)
> What sandbox command did you use to get this to happen?    

$sandbox -X -t sandbox_net_t gnome-termianl
///I want test 5 above software

Comment 4 Daniel Walsh 2010-06-07 18:44:23 UTC
Thomas can  you see if you can get this error.


Note You need to log in before you can comment on or make changes to this bug.